Create a transactional email
Transactional emails
Create a transactional email
Create a new transactional email and its draft email message, ready for editing, previewing, and publishing through the Loops API.
POST
Create a transactional email
This endpoint creates a transactional email and an empty draft email message in one step.
Use the returned
draftEmailMessageId and draftEmailMessageContentRevisionId when calling
Update an email message to set subject,
sender, preview text, and LMX content. Then call
Publish a transactional email when you’re ready to start sending.
Request
Body
The transactional email name.
The ID of the group to add this transactional email to. Defaults to the
team’s default group when omitted.
Response
Success
Returns201 Created.
The transactional email ID.
The transactional email name.
The ID of the draft email message
created for this transactional email.
The initial content revision ID for the draft email message. Pass this as
expectedRevisionId on your first email message update.The ID of the published email message, if one exists.
The ID of the group this transactional email belongs to.
ISO 8601 timestamp for when the transactional email was created.
ISO 8601 timestamp for when the transactional email was last updated.
Data variable names used by the published email. Empty for unpublished
transactional emails.
Error
If the request body is invalid, or if no sending domain is configured, a400 Bad Request is returned.
If the API key is invalid (or content API is not enabled for your team), a
401 Unauthorized is returned.
An error message describing what went wrong.
Last modified on June 22, 2026

